Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jelly.impl
Class Embedded

    java.lang.Object
      org.apache.commons.jelly.impl.Embedded

    public class Embedded

extends java.lang.Object

Author:
  Vinay Chandran

  `Embedded` provides easy means to embed JellyEngine
  and use Jelly scripts within an application

  A typical usage:
  `
  Embedded embedded = new Embedded();
  embedded.setOutputStream(new ByteArrayOutputStream());
  embedded.setVariable("some-var","some-object");
  .....
  embedded.setScript(scriptAsString);
  //or one can do.
  //embedded.setScript(scriptAsInputStream);
  boolean bStatus=embedded.execute();
  if(!bStatus) //if error
  {
  String errorMsg=embedded.getErrorMsg();
  }
  `
  , Vinay Chandran

Constructor Summary
`Embedded()` Default Constructor

Method Summary
`boolean` | `execute()` Execute the jelly script and capture the errors (ifany)within.
`JellyContext` | `getContext()` Method getContext.
`java.lang.String` | `getErrorMsg()` Returns the errorMsg.
`void` | `registerTagLibrary(java.lang.String namespaceURI, java.lang.String className)` Registers the given tag library class name against the given namespace URI.
`void` | `registerTagLibrary(java.lang.String namespaceURI, TagLibrary taglib)` Registers the given tag library against the given namespace URI.
`void` | `setContext(JellyContext context)` Method setContext.
`void` | `setOutputStream(java.io.OutputStream outputStream)` Method setOutputStream.
`void` | `setScript(java.io.InputStream scriptAsInputStream)` Set the input stream
`void` | `setScript(java.lang.String scriptAsString)` Set the input script
`void` | `setVariable(java.lang.String name, java.lang.Object value)` Set a new variable within the context for the script to use.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Embedded

    public Embedded()

  Default Constructor

Method Detail

### setContext

    public void setContext(JellyContext context)

  Method setContext.

  Parameters:
    `context` -

### getContext

    public JellyContext getContext()

  Method getContext.

  Returns:
    JellyContext

### setVariable

    public void setVariable(java.lang.String name,
                            java.lang.Object value)

  Set a new variable within the context for the script to use.

  Parameters:
    `name` -
    `value` -

### setScript

    public void setScript(java.lang.String scriptAsString)

  Set the input script

  Parameters:
    `scriptAsString` -

### setScript

    public void setScript(java.io.InputStream scriptAsInputStream)

  Set the input stream

  Parameters:
    `scriptAsInputStream` -

### setOutputStream

    public void setOutputStream(java.io.OutputStream outputStream)

  Method setOutputStream.

  Parameters:
    `outputStream` -

### registerTagLibrary

    public void registerTagLibrary(java.lang.String namespaceURI,
                                   java.lang.String className)

  Registers the given tag library class name against the given namespace URI. The class will be loaded via the given ClassLoader This should be called before the parser is used.

### registerTagLibrary

    public void registerTagLibrary(java.lang.String namespaceURI,
                                   TagLibrary taglib)

  Registers the given tag library against the given namespace URI. This should be called before the parser is used.

### getErrorMsg

    public java.lang.String getErrorMsg()

  Returns the errorMsg.

  Returns:
    String

### execute

    public boolean execute()

  Execute the jelly script and capture the errors (ifany)within.

  Throws:
    `JellyException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Apache Software Foundation. All Rights Reserved.